package com.duiba.tuia.youtui.web.handle;

/**
 * 试一把责任链模式
 *
 * 过滤链接口
 * Created by 清郎 on 2018/01/31.
 */
public interface FilterChain {

    /**
     * 过滤逻辑
     * @return boolean
     */
    boolean doFilter(FilterParams filterParams);

    /**
     * 执行顺序偏移值
     * @return int
     */
    int getOffset();

}
